FastFourierTransform Class Reference

FFT implementation. More...

`#include <ql/math/fastfouriertransform.hpp>`

## Public Member Functions

| FastFourierTransform (std::size_t order)
std::size_t | output_size () const
| The required size for the output vector.
template<typename InputIterator , typename RandomAccessIterator >
void | transform (InputIterator inBegin, InputIterator inEnd, RandomAccessIterator out) const
| FFT transform. More...
template<typename InputIterator , typename RandomAccessIterator >
void | inverse_transform (InputIterator inBegin, InputIterator inEnd, RandomAccessIterator out) const
| Inverse FFT transform. More...

## Static Public Member Functions

static std::size_t | min_order (std::size_t inputSize)
| the minimum order required for the given input size

## Detailed Description

FFT implementation.

## Member Function Documentation

void transform | ( | InputIterator | inBegin,
|  | InputIterator | inEnd,
|  | RandomAccessIterator | out
| ) |  | const

FFT transform.

The output sequence must be allocated by the user

void inverse_transform | ( | InputIterator | inBegin,
|  | InputIterator | inEnd,
|  | RandomAccessIterator | out
| ) |  | const

Inverse FFT transform.

The output sequence must be allocated by the user.